Bug 1241928 - Switch libtalloc to use python3
Summary: Switch libtalloc to use python3
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtalloc
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1245387
Blocks: F23PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-07-10 12:40 UTC by Miro Hrončok
Modified: 2015-09-08 08:23 UTC (History)
8 users (show)

Fixed In Version: libtalloc-2.1.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-08 08:23:59 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2015-07-10 12:40:18 UTC
Support for Python 3 has been added to libtalloc [1]. System wide change for Fedora 23 was accepted by FESCo which implies that all packages on Live CD and other install media must run on Python 3 and not Python 2 [2].

Please either change the pytalloc subpackage so it is using Python 3 (which could break things), or add a new python3-pytalloc subpackage.

You can use `configure --extra-python=%{__python3}` to produce both Python 2 and 3 bindings.

In case you don't have time/resources to do this in time before F23 Alpha freeze [3], I can do it myself, please let me know, if that's acceptable.

[1] https://git.samba.org/?p=samba.git;a=commitdiff;h=cd6615ecbd43d53fa353a18bd6db2291b086de2d
[2] https://fedoraproject.org/wiki/Changes/Python_3_as_Default
[3] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 1 Miro Hrončok 2015-07-17 09:35:40 UTC
Any chance for a reaction? Do you have anything against me doing this as a proven packager? Thanks

Comment 2 Jakub Hrozek 2015-07-17 09:42:20 UTC
(In reply to Miro Hrončok from comment #1)
> Any chance for a reaction? Do you have anything against me doing this as a
> proven packager? Thanks

Sorry, I should have replied. Let me prepare a specfile patch, I'll submit it here for review.

Comment 3 Jakub Hrozek 2015-07-17 09:46:51 UTC
Actually, the patch:
https://git.samba.org/?p=samba.git;a=commitdiff;h=cd6615ecbd43d53fa353a18bd6db2291b086de2d

Has not been released in an upstream tarball yet it seems. Do you propose we carry the patch in Fedora? Wouldn't it be better to lobby upstream so that they release a new tarball?

Comment 4 Robert Kuska 2015-07-17 10:24:04 UTC
I tried to talk with Samba guys about release but they do releases once a year (they already did this year, shortly before they merged the python3 patch) and they won't release new version just because of Python3 support, (according to Simo). I've also talked with Stephen and he said that he is ok with carrying patch donwstream if it is merged in upstream and upstream don't plan to release new version. I am cc'ing Stephen for confirmation.

Comment 5 Stephen Gallagher 2015-07-17 12:09:53 UTC
Yeah, seems perfectly fine to me to carry patches from upstream early in Fedora.

Comment 6 Jakub Hrozek 2015-07-17 16:12:44 UTC
So far it looks like we need to backport at least:

From 616dfae8ffa88bd6b8b1145bd9d75c5b873e7044 Mon Sep 17 00:00:00 2001
From: Petr Viktorin <pviktori@redhat.com>
Date: Thu, 15 Jan 2015 14:22:22 +0100
Subject: [PATCH] buildtools: Add --extra-python configure option

From 6f490000c6b233f275598a4680b2c49fcb69d35a Mon Sep 17 00:00:00 2001
From: Petr Viktorin <pviktori@redhat.com>
Date: Wed, 6 May 2015 17:50:57 +0200
Subject: [PATCH] buildtools: Add a helper to iterate through Python
 environments

From fb5d9c3db17f4d40c15be7285edc296d14c69130 Mon Sep 17 00:00:00 2001
From: Petr Viktorin <pviktori@redhat.com>
Date: Wed, 6 May 2015 18:17:06 +0200
Subject: [PATCH] pytalloc: Build for two Python versions at once

From cd6615ecbd43d53fa353a18bd6db2291b086de2d Mon Sep 17 00:00:00 2001
From: Petr Viktorin <pviktori@redhat.com>
Date: Thu, 15 Jan 2015 14:07:09 +0100
Subject: [PATCH] pytalloc: Port to Python 3

Comment 7 Andreas Schneider 2015-07-21 12:07:43 UTC
A new tdb version with python3 support will be released today ...

Comment 8 Jakub Hrozek 2015-07-21 12:15:03 UTC
Please note I'm pretty much bogged down until the end of the month, so if anyone cal help backport the pytalloc patches, I'll be glad.

Packaging the upstream tdb release will not take that much time, so I can do that.

Comment 9 Petr Viktorin 2015-07-21 15:16:41 UTC
Andreas, tdb? The patches for that aren't reviewed yet. Did you mean talloc?

Comment 10 Jakub Hrozek 2015-07-22 08:03:21 UTC
Today, tdb, talloc and ldb were released. I'm already working on packaging.


Note You need to log in before you can comment on or make changes to this bug.